@ECHO OFF
REM ************************************************************
REM
REM Script to remove virtually all intermediate and target files
REM generated by the toolchain.
REM
REM NB: By default we leave the .suo and .scc files as they are
REM needed by Visual Studio/SourceSafe for disconnected check-
REM outs. We only delete these files when regenerating the VSS
REM bindings.
REM
REM ************************************************************

ECHO Removing VC++ intermediate files...

del /s /f *.pch 2> nul
del /s /f *.sbr 2> nul
del /s /f *.obj 2> nul
del /s /f *.res 2> nul
del /s /f *.tlh 2> nul
del /s /f *.tli 2> nul
del /s /f *.tlb 2> nul
del /s /f *_p.c 2> nul
del /s /f *_h.h 2> nul
del /s /f *_i.c 2> nul
del /s /f dlldata.c 2> nul
del /s /f BuildLog.htm 2> nul
del /s /f *.manifest 2> nul
del /s /f mt.dep 2> nul

ECHO Removing VC++ target files...

del /s /f *.pdb 2> nul
del /s /f *.idb 2> nul
del /s /f *.ilk 2> nul
del /s /f *.exe 2> nul
del /s /f *.dll 2> nul
del /s /f *.lib 2> nul
del /s /f *.plg 2> nul
del /s /f *.map 2> nul
del /s /f *.exp 2> nul

ECHO Removing VC++ workspace files...

del /s /f *.ncb 2> nul
del /s /f *.opt 2> nul
del /s /f *.aps 2> nul
del /s /f *.bsc 2> nul
rem del /s /f *.suo 2> nul
rem del /s /f *.vcproj.*.user 2> nul
rem del /s /f *.scc 2> nul

ECHO Removing VC++ profiling/instrumentation files...

del /s /f *.pbi 2> nul
del /s /f *.pbo 2> nul
del /s /f *.pbt 2> nul
del /s /f *._xe 2> nul
del /s /f *.pcc 2> nul
del /s /f *.stt 2> nul

ECHO Removing Code::Blocks target files...

del /s /f *.o 2> nul
del /s /f *.a 2> nul

ECHO Removing Code::Blocks workspace files...

rem del /s /f *.depend 2> nul
rem del /s /f *.layout 2> nul

ECHO Removing log files...

del /s /f *.log 2> nul
del /s /f TraceLog.txt 2> nul
del /s /f *.sup 2> nul

ECHO Removing Debug and Release directories...

FOR /D /R %%I IN (debug)   DO rmdir %%I 2> nul
FOR /D /R %%I IN (release) DO rmdir %%I 2> nul
FOR /D /R %%I IN (x64)   DO rmdir %%I 2> nul
